| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_read.c File Reference
`#include "tiffiop.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Macros
#define | NOSTRIP ((tstrip_t) -1) /* undefined state */
#define | NOTILE ((ttile_t) -1) /* undefined state */

## Functions
int | TIFFFillStrip (TIFF *, tstrip_t)
int | TIFFFillTile (TIFF *, ttile_t)
int | TIFFReadScanline (TIFF *tif, tdata_t buf, uint32 row, tsample_t sample)
tsize_t | TIFFReadEncodedStrip (TIFF *tif, tstrip_t strip, tdata_t buf, tsize_t size)
tsize_t | TIFFReadRawStrip (TIFF *tif, tstrip_t strip, tdata_t buf, tsize_t size)
tsize_t | TIFFReadTile (TIFF *tif, tdata_t buf, uint32 x, uint32 y, uint32 z, tsample_t s)
tsize_t | TIFFReadEncodedTile (TIFF *tif, ttile_t tile, tdata_t buf, tsize_t size)
tsize_t | TIFFReadRawTile (TIFF *tif, ttile_t tile, tdata_t buf, tsize_t size)
int | TIFFReadBufferSetup (TIFF *tif, tdata_t bp, tsize_t size)
void | _TIFFNoPostDecode (TIFF *tif, tidata_t buf, tsize_t cc)
void | _TIFFSwab16BitData (TIFF *tif, tidata_t buf, tsize_t cc)
void | _TIFFSwab24BitData (TIFF *tif, tidata_t buf, tsize_t cc)
void | _TIFFSwab32BitData (TIFF *tif, tidata_t buf, tsize_t cc)
void | _TIFFSwab64BitData (TIFF *tif, tidata_t buf, tsize_t cc)

## Macro Definition Documentation

#define NOSTRIP ((tstrip_t) -1) /* undefined state */

Definition at line 40 of file tif_read.c.

#define NOTILE ((ttile_t) -1) /* undefined state */

Definition at line 41 of file tif_read.c.

## Function Documentation

void _TIFFNoPostDecode | ( | TIFF * | tif,
|  | tidata_t | buf,
|  | tsize_t | cc
| ) |  |

Definition at line 706 of file tif_read.c.

void _TIFFSwab16BitData | ( | TIFF * | tif,
|  | tidata_t | buf,
|  | tsize_t | cc
| ) |  |

Definition at line 712 of file tif_read.c.

void _TIFFSwab24BitData | ( | TIFF * | tif,
|  | tidata_t | buf,
|  | tsize_t | cc
| ) |  |

Definition at line 720 of file tif_read.c.

void _TIFFSwab32BitData | ( | TIFF * | tif,
|  | tidata_t | buf,
|  | tsize_t | cc
| ) |  |

Definition at line 728 of file tif_read.c.

void _TIFFSwab64BitData | ( | TIFF * | tif,
|  | tidata_t | buf,
|  | tsize_t | cc
| ) |  |

Definition at line 736 of file tif_read.c.

int TIFFFillStrip | ( | TIFF * | tif,
|  | tstrip_t | strip
| ) |  |

Definition at line 262 of file tif_read.c.

int TIFFFillTile | ( | TIFF * | tif,
|  | ttile_t | tile
| ) |  |

Definition at line 497 of file tif_read.c.

int TIFFReadBufferSetup | ( | TIFF * | tif,
|  | tdata_t | bp,
|  | tsize_t | size
| ) |  |

Definition at line 593 of file tif_read.c.

tsize_t TIFFReadEncodedStrip | ( | TIFF * | tif,
|  | tstrip_t | strip,
|  | tdata_t | buf,
|  | tsize_t | size
| ) |  |

Definition at line 124 of file tif_read.c.

tsize_t TIFFReadEncodedTile | ( | TIFF * | tif,
|  | ttile_t | tile,
|  | tdata_t | buf,
|  | tsize_t | size
| ) |  |

Definition at line 384 of file tif_read.c.

tsize_t TIFFReadRawStrip | ( | TIFF * | tif,
|  | tstrip_t | strip,
|  | tdata_t | buf,
|  | tsize_t | size
| ) |  |

Definition at line 218 of file tif_read.c.

tsize_t TIFFReadRawTile | ( | TIFF * | tif,
|  | ttile_t | tile,
|  | tdata_t | buf,
|  | tsize_t | size
| ) |  |

Definition at line 460 of file tif_read.c.

int TIFFReadScanline | ( | TIFF * | tif,
|  | tdata_t | buf,
|  | uint32 | row,
|  | tsample_t | sample
| ) |  |

Definition at line 96 of file tif_read.c.

tsize_t TIFFReadTile | ( | TIFF * | tif,
|  | tdata_t | buf,
|  | uint32 | x,
|  | uint32 | y,
|  | uint32 | z,
|  | tsample_t | s
| ) |  |

Definition at line 370 of file tif_read.c.